public class Book
{
    private String title;
    private String author;
    private int pages;
    private double price;

    public Book(String bookTitle, String bookAuthor, int bookPages)
    {
        // Constructor to create a new book with the given bookTitle,
        // bookAuthor and bookPages given in the parameter list.
        // The price of a book is determined based on the number of pages:
        // If there are more than 200 pages, the price of the book is $50.
        // Otherwise, the price of the book is $0.25 per page.

        title = bookTitle;
        author = bookAuthor;
        pages = bookPages;
        if (pages > 200)
            price = 50.0;
        else
            price = 0.25 * pages;
    }

    // Accessors for Book:

    public String getTitle()
    {
        return title;
    }

    public String getAuthor()
    {
        return author;
    }

    public int getPages()
    {
        return pages;
    }

    public double getPrice()
    {
        return price;
    }

    public String toString()
    {
        String result = title + "/" + author + "/" +  pages + "pgs/$" + price;
        if ((int)(price*100)%10 == 0)
            result = result + "0";
        return result;
    }

    public boolean equals(Book otherBook)
    {
        return (this.title.equals(otherBook.title) &&
                this.author.equals(otherBook.author) &&
                this.pages == otherBook.pages);
    }

} 
